const getErrorTitleFromErrorType = (i18n, organizationId, errorType)=>{
    switch(errorType){
        case 'Disconnected':
            return i18n.t('disconnected');
        case 'NoEndpointsException':
            return i18n.t('no-endpoints', {
                org: organizationId
            });
        case 'InvalidTokenException':
            return i18n.t('cannot-access', {
                org: organizationId
            });
        case 'OrganizationIsPausedException':
            return i18n.t('organization-is-paused', {
                org: organizationId
            });
        default:
            return i18n.t('something-went-wrong');
    }
};
const getErrorDescriptionFromErrorType = (i18n, organizationId, url, errorType)=>{
    switch(errorType){
        case 'Disconnected':
            return i18n.t('check-your-connection', {
                url
            });
        case 'NoEndpointsException':
            return i18n.t('add-sources');
        case 'InvalidTokenException':
            return i18n.t('invalid-token');
        case 'OrganizationIsPausedException':
            return i18n.t('organization-will-resume', {
                org: organizationId
            });
        default:
            return i18n.t('if-problem-persists');
    }
};
const getAriaMessageFromErrorType = (i18n, organizationId, platformUrl, errorType)=>`${getErrorTitleFromErrorType(i18n, organizationId, errorType)} ${getErrorDescriptionFromErrorType(i18n, organizationId, platformUrl, errorType)}`;
export { getAriaMessageFromErrorType, getErrorDescriptionFromErrorType, getErrorTitleFromErrorType };
